#!/bin/sh
DIR=$1	#Output filename
POLYGON=$2	#Crop Window

BOX=$(polygonToBox.py "$POLYGON")

DIRNAME=$(echo $DIR | cut -d"/" -f1)

if [  ! -e $DIRNAME".tif"  ]; then
	cd $DIR
	echo "gdal_merge.py -o ../"$DIRNAME".tif" $(ls *.jp2)
	gdal_merge.py -o ../$DIRNAME".tif" $(ls *.jp2)
	cd ..
fi

if [  ! -e $dir".jp2"  ]; then
	gdal_translate -projwin $BOX -projwin_srs WGS84 -ot Byte -of JPEG $dir".tif" $dir".jp2"
fi

rasterWkt.py "$POLYGON" $dir.jp2 $dir"_p.tif"


cd $DIR 
find . -name *.xml -type f -delete 




